/** @file
===========================================================================
MODULE				: DataStructures.h

DESCRIPTIONS		: Header file for common defines

REVISION HISTORY	: Version 1.0

COPYRIGHT			: (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS		: The information/data/code contained within this file is 
						the property of CSIR, Meraka Institute and has been 
						classified as PUBLIC.
===========================================================================
*/

#pragma once

#include <vector>

typedef std::vector<GUID*> GUID_LIST;

const int BYTES_PER_PIXEL_RGB24 = 3;
const int BYTES_PER_PIXEL_RGB32 = 4;
const double BYTES_PER_PIXEL_YUV420P = 1.5;

#define IN_COLOUR_RGB24		"0"
#define IN_COLOUR_YUV420P	"16"

#define IMAGE_WIDTH			"width"
#define IMAGE_HEIGHT		"height"

// Scale filter
#define TARGET_WIDTH		"targetwidth"
#define TARGET_HEIGHT		"targetheight"

// Crop filter
#define TOP_CROP			"topcrop"
#define BOTTOM_CROP			"bottomcrop"
#define LEFT_CROP			"leftcrop"
#define RIGHT_CROP			"rightcrop"

