/** @file
===========================================================================
MODULE          : MediaFrame

DESCRIPTIONS    : 

REVISION HISTORY: Version 1.0

COPYRIGHT       : (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS	: The information/data/code contained within this file is 
				  the property of CSIR, Meraka Institute and has been 
				  classified as PUBLIC.
===========================================================================
*/
#pragma once

#include <streams.h>

class CMediaFrame
{
public:

	static CMediaFrame* CreateNew(IMediaSample* pSample);
	int GetActualDataLength();
	BYTE* GetData();
	~CMediaFrame(void);

	REFERENCE_TIME StartTime() const { return m_tStartTime; }
	void StartTime(REFERENCE_TIME val) { m_tStartTime = val; }
	REFERENCE_TIME EndTime() const { return m_tEndTime; }
	void EndTime(REFERENCE_TIME val) { m_tEndTime = val; }
	LONGLONG Duration() const { return m_lDuration; }
	void Duration(LONGLONG val) { m_lDuration = val; }

protected:
	CMediaFrame(BYTE* pData, int nLength, REFERENCE_TIME tStartTime, REFERENCE_TIME tEndTime);

	BYTE* m_pData;
	int m_nLength;
	REFERENCE_TIME m_tStartTime;
	REFERENCE_TIME m_tEndTime;
	LONGLONG m_lDuration;
};
