/** @file
===========================================================================
MODULE          : StringConversion

DESCRIPTIONS    : Helper class for unicode to ascii conversion

REVISION HISTORY: Version 1.0

COPYRIGHT       : (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS	: The information/data/code contained within this file is 
				  the property of CSIR, Meraka Institute and has been 
				  classified as PUBLIC.
===========================================================================
*/
#pragma once

#include <string>
#include <atlconv.h>
#include <strsafe.h>

#ifdef _DEBUG
# pragma comment(lib, "atls.lib")
#else
# pragma comment(lib, "atls.lib")
#endif 

class CStringConversion
{
public:
	static std::string ConvertWideToStl(const WCHAR* wszString)
	{
		//return "";
		USES_CONVERSION;
		char *szTemp = W2A(wszString);
		return std::string(szTemp);
	}

	static WCHAR* ConvertStlToWide(std::string sString)
	{
		return(ConvertAsciiToWide(sString.c_str()));
	}

	static WCHAR* ConvertAsciiToWide(const char* szString)
	{
		//return L"";
		int nLen = strlen(szString);
		WCHAR* wszBuffer = new WCHAR[nLen + 1];
		USES_CONVERSION;
		WCHAR* wszValue = A2W(szString);
		StringCchCopyW(wszBuffer, nLen + 1, wszValue);
		return wszBuffer;
	}
};